summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_lede.sh4
-rwxr-xr-xbin/reproducible_openwrt.sh4
2 files changed, 8 insertions, 0 deletions
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index 83bc7ed6..5c94dd29 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -37,6 +37,10 @@ case $1 in
master)
# master code following
;;
+ *)
+ echo "Unsupported mode $1. Arguments are $@"
+ exit 1
+ ;;
esac
#
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index c4c2096e..f12dcd5b 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -37,6 +37,10 @@ case $1 in
master)
# master code following
;;
+ *)
+ echo "Unsupported mode $1. Arguments are $@"
+ exit 1
+ ;;
esac
#